공개 APIAPI 레퍼런스Crons

App의 Cron 작업을 교체합니다.

베타 API

/v1 API 계약은 변경될 수 있으며, 호환되지 않는 변경도 별칭 없이 배포될 수 있습니다.

PUT/v1/apps/{appId}/crons

팀 owner 또는 member가 콘솔 Cron 작업 전체를 교체하며 빈 배열로 모두 삭제할 수 있습니다. 변경은 즉시 적용됩니다. nitroship.json에 crons가 선언되어 있으면 다음 프로덕션 배포에서 파일 선언이 콘솔에 저장한 Cron 작업을 덮어씁니다. 파일 선언이 있어도 콘솔 편집은 항상 허용됩니다. 이메일 인증을 완료한 사용자만 사용할 수 있습니다.

인증

bearerAuth
인증Bearer <token>

로그인 또는 API 토큰 교환으로 받은 접속 토큰을 사용합니다. ntro_ API 토큰은 먼저 로그인 서버에서 접속 토큰으로 교환해야 합니다.

위치: header

경로 매개변수

appId*string

요청 본문

application/json

TypeScript 타입 정의

Use the request body type in TypeScript.

응답 본문

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/apps/string/crons" \  -H "Content-Type: application/json" \  -d '{    "crons": [      {        "path": "string",        "schedule": "string"      }    ]  }'
{  "configDeclared": true,  "crons": [    {      "lastRun": {        "deploymentId": "string",        "durationMs": 0,        "error": "string",        "finishedAt": "string",        "startedAt": "string",        "status": "string",        "statusCode": 0      },      "nextRunAt": "string",      "path": "string",      "schedule": "string"    }  ],  "source": "string"}